Package org.eclipse.net4j.util.io

# Class AsyncWriter

java.lang.Object
java.io.Writer
java.io.PipedWriter
org.eclipse.net4j.util.io.AsyncWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public abstract class AsyncWriter extends PipedWriter

Since:
  3.1
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`AsyncWriter()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`asyncWrite(Reader in)`
`void`
`close()`

### Methods inherited from class java.io.PipedWriter

`connect, flush, write, write`

### Methods inherited from class java.io.Writer

`append, append, append, nullWriter, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncWriter

public AsyncWriter() throws IOException

Throws:
  `IOException`

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `PipedWriter`
Throws:
  `IOException`

### asyncWrite

protected abstract void asyncWrite(Reader in) throws IOException

Throws:
  `IOException`